DocEngine (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.doc
[Groovy] Class DocEngine

    java.lang.Object
      org.radeox.engine.BaseRenderEngine
          grails.doc.DocEngine

All Implemented Interfaces:
  org.radeox.api.engine.WikiRenderEngine

    class DocEngine
    extends org.radeox.engine.BaseRenderEngine

A Radeox Wiki engine for generating documentation using a confluence style syntax.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary

Fields inherited from class org.radeox.engine.BaseRenderEngine
NAME

Property Summary
`static java.lang.Object` | `ALIAS`
`static java.lang.Object` | `API_BASE_PATH`
`static java.lang.Object` | `API_CONTEXT_PATH`
`static java.lang.Object` | `BASE_DIR`
`static java.lang.Object` | `CONTEXT_PATH`
`static java.lang.Object` | `EXTERNAL_DOCS`
`static java.lang.Object` | `RESOURCES_CONTEXT_PATH`
`static java.lang.Object` | `SOURCE_FILE`
`java.util.Properties` | `engineProperties`
`static java.lang.Object` | `nameCache` Converts a property name into its natural language equivalent eg ('firstName' becomes 'First Name')

Constructor Summary
`DocEngine(org.radeox.api.engine.context.InitialRenderContext context)`

Method Summary
`void` | `addMacro(java.lang.Object macro)`
`void` | `appendCreateLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view)`
`void` | `appendLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view, java.lang.String anchor)`
`void` | `appendLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view)`
`boolean` | `exists(java.lang.String name)`
`java.lang.String` | `getNaturalName(java.lang.String name)`
`protected void` | `init()`
`boolean` | `showCreate()`

Methods inherited from class org.radeox.engine.BaseRenderEngine
org.radeox.engine.BaseRenderEngine#render(java.io.Reader, org.radeox.api.engine.context.RenderContext), org.radeox.engine.BaseRenderEngine#render(java.lang.String, org.radeox.api.engine.context.RenderContext), org.radeox.engine.BaseRenderEngine#render(java.io.Writer, java.lang.String, org.radeox.api.engine.context.RenderContext), org.radeox.engine.BaseRenderEngine#getName(), org.radeox.engine.BaseRenderEngine#getInitialRenderContext(), org.radeox.engine.BaseRenderEngine#wait(long, int), org.radeox.engine.BaseRenderEngine#wait(long), org.radeox.engine.BaseRenderEngine#wait(), org.radeox.engine.BaseRenderEngine#equals(java.lang.Object), org.radeox.engine.BaseRenderEngine#toString(), org.radeox.engine.BaseRenderEngine#hashCode(), org.radeox.engine.BaseRenderEngine#getClass(), org.radeox.engine.BaseRenderEngine#notify(), org.radeox.engine.BaseRenderEngine#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### ALIAS

    static java.lang.Object ALIAS

### API_BASE_PATH

    static final java.lang.Object API_BASE_PATH

### API_CONTEXT_PATH

    static final java.lang.Object API_CONTEXT_PATH

### BASE_DIR

    static final java.lang.Object BASE_DIR

### CONTEXT_PATH

    static final java.lang.Object CONTEXT_PATH

### EXTERNAL_DOCS

    static java.lang.Object EXTERNAL_DOCS

### RESOURCES_CONTEXT_PATH

    static final java.lang.Object RESOURCES_CONTEXT_PATH

### SOURCE_FILE

    static final java.lang.Object SOURCE_FILE

### engineProperties

    java.util.Properties engineProperties

### nameCache

    static final java.lang.Object nameCache

  Converts a property name into its natural language equivalent eg ('firstName' becomes 'First Name')
  Parameters:
    `name` - The property name to convert
  Returns:
    The converted property name

Constructor Detail

### DocEngine

    DocEngine(org.radeox.api.engine.context.InitialRenderContext context)

Method Detail

### addMacro

    void addMacro(java.lang.Object macro)

### appendCreateLink

    void appendCreateLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view)

### appendLink

    void appendLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view, java.lang.String anchor)

### appendLink

    void appendLink(java.lang.StringBuffer buffer, java.lang.String name, java.lang.String view)

### exists

    boolean exists(java.lang.String name)

### getNaturalName

    java.lang.String getNaturalName(java.lang.String name)

### init

    protected void init()

### showCreate

    boolean showCreate()

Groovy Documentation